Download it now!
Bug 128894 - EDITING : Reference incorrectly updated when deleting rows in XLSX
Summary: EDITING : Reference incorrectly updated when deleting rows in XLSX
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.8.2 release
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords:
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2019-11-19 12:31 UTC by Dennis Francis
Modified: 2019-11-25 10:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Document that can be used to reproduce the bug. (8.47 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-11-19 12:33 UTC, Dennis Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Francis 2019-11-19 12:31:32 UTC
Description:
References are incorrectly updated after deleting rows from an Excel generated xlsx document.

Steps to Reproduce:
1. Open the attachment (xlsx file).
2. Check B1. Note that it references B30.
3. Delete an empty row between 2 and 29 (eg. the row 10).
4. Check B1 again, it now references B26 instead of B29.

Actual Results:
B1 references B26 after delete-row.

Expected Results:
B1 should reference B29 after delete-row.


Reproducible: Always


User Profile Reset: No



Additional Info:
Like B1 the cells C1, D1 and E1 are also affected by the bug after delete-row operation. The bug is XLSX import related, after saving the file as new XLSX and reloading the new one, the reference is updated correctly after the same steps.

Version: 6.2.8.2
Build ID: 6.2.8.2-2.fc30
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

The bug is also present in latest master.
Comment 1 Dennis Francis 2019-11-19 12:33:29 UTC
Created attachment 155940 [details]
Document that can be used to reproduce the bug.
Comment 2 Commit Notification 2019-11-22 12:00:11 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b30251ca0d102ced36799ee18d4bbcd9e8530fa0

tdf#128894: xlsx-import : Do not share tokens between cells...

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-11-22 12:25:27 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/626d1527267ab856e516f2424173104f781b8f09

tdf#128894: unit test for the bugfix

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Dennis Francis 2019-11-22 12:28:39 UTC
Backports are in gerrit pending CI.
Comment 5 Commit Notification 2019-11-22 13:41:54 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c8459ed5e433418453f366504f86cc1c2b1bf011

tdf#128894: xlsx-import : Do not share tokens between cells...

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-11-22 13:46:53 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/035fdc06f22420412b10b2f969706a45ab582a02

tdf#128894: xlsx-import : Do not share tokens between cells...

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-11-23 07:51:12 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a297c6a8c71a8cb07ede3b2305760a1d41b9fb6a

tdf#128894: unit test for the bugfix

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-11-23 07:51:24 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/88f0de823bb9bd186f7d9ef69041b64969531056

tdf#128894: unit test for the bugfix

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2019-11-25 10:48:49 UTC
Also reproducible in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

I don't think there is an urgency to backport it to 6-3-4 branch
Comment 10 Xisco Faulí 2019-11-25 10:49:59 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: d6e2d624a124454fa4ac80cb30a924571a609101
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Dennis Francis, thanks for fixing this issue!!